@import "@/styles/variables";

.files-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;

    .files-area {
        @include col;

        position: relative;
        left: -1rem;
        width: calc(100% + 2.25rem);
        gap: 1rem;
        padding: 2rem;
        max-height: 45vh;
        overflow-y: auto;
        scrollbar-width: thin;
        scrollbar-color: $primary-color-dark rgba($primary-color-light, 20%);

        &::-webkit-scrollbar {
            width: 0.5rem;
            background-color: rgba($primary-color-light, 20%);
        }

        &::-webkit-scrollbar-thumb {
            background-color: $primary-color-dark;
        }

        @include notebook {
            width: calc(100% + 7.5rem);
            left: -4rem;
            padding: 6rem 4rem 8rem;
        }
    }

    .file-card {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 1.5rem;

        @include desktop {
            flex-direction: row;
            justify-content: space-between;
            padding: 2rem;
        }

        &__row {
            display: flex;
            gap: 1rem;
            align-items: center;
            word-break: break-all;

            @include tablet {
                gap: 1rem;
            }

            @include notebook {
                gap: 1.5rem;
            }

            @include desktop {
                inline-size: 65%;
            }
        }

        &__col {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            gap: 1rem;

            @include tablet {
                gap: unset;
                min-height: 3.5rem;
                justify-content: space-between;
            }

            @include notebook {
                align-self: flex-start;
            }
        }

        &__btns {
            display: flex;
            gap: 1rem;
            align-items: center;
            justify-content: space-between;

            @include tablet {
                gap: 1rem;
            }

            @include notebook {
                align-items: flex-end;
            }
        }

        .btn {
            align-self: flex-end;
        }
    }
}

.actions {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: center;
    gap: 0.75rem;

    @include tablet {
        flex-direction: row;
    }

    button {
        width: 100%;

        @include tablet {
            width: fit-content;
        }
    }
}
